export declare const createCurrentState: <T extends Record<string, unknown>>(initialState: T) => {
    getCurrentState: () => T;
    setCurrentState: (value: T[keyof T], key: keyof T) => void;
    resetCurrentState: () => void;
};
